DefaultFeature (Grails 6.0.0)

Package: org.grails.cli.profile

## [Groovy] Class DefaultFeature

- org.grails.cli.profile.DefaultFeature

- All Implemented Interfaces and Traits:
    Feature

      @groovy.transform.EqualsAndHashCode(includes: [name])
      @groovy.transform.ToString(includes: [profile, name])
      @groovy.transform.CompileStatic
      class DefaultFeature
      extends java.lang.Object
      implements Feature

  Default implementation of the Feature interface

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List<java.lang.String>` | `buildPlugins` |
    `private java.util.List<java.lang.String>` | `buildRepositories` |
    `private NavigableMap` | `configuration` |
    `private java.util.List<org.eclipse.aether.graph.Dependency>` | `dependencies` |
    `private Resource` | `location` |
    `private java.lang.String` | `name` |
    `private Profile` | `profile` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `buildPlugins`
    `java.util.List<java.lang.String>` | `buildRepositories`
    `NavigableMap` | `configuration`
    `java.util.List<org.eclipse.aether.graph.Dependency>` | `dependencies`
    `org.springframework.core.io.Resource` | `location`
    `java.lang.String` | `name`
    `Profile` | `profile`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultFeature (Profile profile, java.lang.String name, Resource location)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getDescription()`
    `` | `static boolean` | `isSupportedOs(java.lang.String os)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.util.List<java.lang.String> buildPlugins

    - #### private final java.util.List<java.lang.String> buildRepositories

    - #### private final NavigableMap configuration

    - #### private final java.util.List<org.eclipse.aether.graph.Dependency> dependencies

    - #### private final Resource location

    - #### private final java.lang.String name

    - #### private final Profile profile

  - ### Property Detail

    - #### final java.util.List<java.lang.String> buildPlugins

    - #### final java.util.List<java.lang.String> buildRepositories

    - #### final NavigableMap configuration

    - #### final java.util.List<org.eclipse.aether.graph.Dependency> dependencies

    - #### final org.springframework.core.io.Resource location

    - #### final java.lang.String name

    - #### final Profile profile

  - ### Constructor Detail

    - #### DefaultFeature(Profile profile, java.lang.String name, Resource location)

  - ### Method Detail

    - #### @java.lang.Override java.lang.String getDescription()

    - #### static boolean isSupportedOs(java.lang.String os)